Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Creates a boot floppy disk for booting a system
Name: mkbootdisk
Version:  1.5.5
Release: alt2_33
License: GPLv2+
Source: mkbootdisk-%{version}.tar.xz
Patch0: mkbootdisk-1.5.5-fix-long-volid.patch
Patch1: mkbootdisk-1.5.5-man-dracut.patch
Patch2: mkbootdisk-1.5.5-syslinux-5-fix.patch
ExclusiveOs: Linux
ExclusiveArch: %{ix86} sparc sparc64 x86_64
Requires: cdrkit-utils genisoimage icedax
%ifnarch sparc sparc64
Requires: syslinux
%else
Requires: silo genromfs
%endif
Source44: import.info

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system.  The created boot disk will look for the
root filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%prep
%setup -q
%patch0 -p1 -b .fix-long-volid
%patch1 -p1 -b .man-dracut
%patch2 -p1 -b .syslinux-5-fix

%install
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

%files
%doc COPYING
%attr(755,root,root) /sbin/mkbootdisk
%attr(644,root,root) %{_mandir}/man8/mkbootdisk.8*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_33
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_31
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_30
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_29
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_28
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_27
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.5.5-alt2_26
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt2_25
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_25
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_24
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_23
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_22
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_21
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_20
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_17
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_16
- update to new release by fcimport

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_14
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_13
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_12
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_11
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_10
- initial fc import

